# OpenGL course

The goal of the course is to introduce us to the OpenGL render pipeline and how to use the library.

The code here was, in part, inspired by the code which was given as part of the course but could not run elsewhere than Windows.
It is aimed to replace it and serve as a base for my own project as part of the course.

As this project evolves I am thinking more and more about making it a "complete" minimalist game-engine if I have the time.

## TODOs

 - [x] Camera movement
 - [ ] Entities 
 - [x] Quaternion computations? ~~Maybe use OpenGLMathematics~~ Ended up doing it from scratch.

### Possible expansions

 - [ ] Loading other file types
 - [ ] Asset manager
 - [ ] Detect key press' edges ?
 - [ ] Switch from GLUT to GLFW

## Dependencies

The following libraries must be installed and findable by CMake:
 - OpenGL
 - Freeglut 3